Subject: Re: [PATCH] add -e: ignore dirty submodules

From: Jens Lehmann <[email-masked]>
Date: Tue, 07 Feb 2012 21:43:33 +0100

Am 07.02.2012 09:21, schrieb Junio C Hamano:
> So after all, this is a noise reduction patch, and I think that it is a
> good change.

I agree. While my first thought was that it might make sense to honor
the diff.ignoreSubmodules setting here too to produce the same
information "git status" gives (so you notice you might have forgotten
to commit something in the submodule), I now agree that doesn't make
sense in the context of add -e.